## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.gable.ai/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v0/changelog/filters

Try it

Get changelog filters available

### cURL

```bash
curl --request GET \
  --url https://demo-api.gable.ai/v0/changelog/filters \
  --header 'X-API-KEY: <api-key>'
```

### Python

```python
import requests

url = "https://demo-api.gable.ai/v0/changelog/filters"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/changelog/filters', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/changelog/filters",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://demo-api.gable.ai/v0/changelog/filters"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-KEY", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```java
HttpResponse<String> response = Unirest.get("https://demo-api.gable.ai/v0/changelog/filters")
  .header("X-API-KEY", "<api-key>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://demo-api.gable.ai/v0/changelog/filters")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- **200**
- **400**
- **500**

### Response Structure

```json
{
  "domains": [
    {
      "value": "<string>"
    }
  ],
  "types": []
}
```

```json
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
```

```json
{
  "message": "<string>",
  "id": 123,
  "title": "<string>"
}
```

#### Authorizations

**X-API-KEY**  
Type: string  
Description: header required

#### Response

- **200** application/json
- **Changelog filters**

**domains**  
Type: object[]  
Required: Domains list

**types**  
Type: enum<string>[]  
Required: Types list  
Description: The type of the source data asset, indicating its source or format (e.g., postgres, protobuf).

Available options:
- `postgres`
- `mysql`
- `mssql`
- `json_schema`
- `avro`
- `protobuf`
- `python`
- `pyspark`
- `typescript`
- `java`
- `s3`
- `dataframe`
- `kotlin`
- `swift`
- `php`
- `golang`
